MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028775Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-05-23 15:202017-09-29 16:25
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028775: Code duplication removal across the BOPAlgo_PaveFiller algorithm
DescriptionThe methods PerformVerticesEE() and PerformVerticesEF() of the class BOPAlgo_PaveFiller are very similar and should be reimplemented in one method.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberbugs modalg_6 bug28775
Attached Files

- Relationships
related to 0028690closedbugmaster Section algorithm produces micro edge 
related to 0028557closedbugmaster Test case bugs modalg_6 bug27615 works differently on VC10 and VC12 
related to 0028800feedbacknbv The compound of two faces is incorrectly detected as self-interfered 

-  Notes
(0066604)
git (administrator)
2017-05-25 17:49

Branch CR28775 has been created by emv.

SHA-1: b6e92d2d1a2bac9d82fc6b0fb91fbfd3b09af7f9


Detailed log of new commits:

Author: emv
Date: Thu May 25 16:05:02 2017 +0300

    Test cases for the issue 0028690.

Author: emv
Date: Sun Apr 30 01:09:36 2017 +0300

    0028775: Code duplication removal across the BOPAlgo_PaveFiller algorithm
    
    The methods PerformVerticesEE() and PerformVerticesEF() of the class BOPAlgo_PaveFiller have been replaced with the new PerformNewVertices() method.
    
    While splitting the Pave Blocks with extra paves, check that the new Pave Blocks have the valid intersection range. If the new Pave Block does not have such range do not create it and unify its vertices making SD vertex.
    
    Re-computation of the Shrunk Data for the modified Pave Blocks. The new method BOPDS_DS::IsValidShrunkData(const Handle(BOPDS_PaveBlock)& thePB) has been implemented to check that the Shrunk Data of the Pave Block is still valid. It may become invalid in case the tolerance values of the vertices of the Pave Block have been modified.
    
    The test case bugs/modalg_6/bug27448_2 has been marked as BAD, because it uses the invalid shapes as inputs for BOP.
(0066605)
emv (developer)
2017-05-25 17:54

Dear Mikhail, could you please review the git branch CR28775?

Please note, that the test case bugs/modalg_6/bug27448_2 has been marked as BAD because it uses the invalid shapes as inputs for BOP. Moreover, the original test case boolean/volumemaker/ZF6 works correctly. The new TODO note references to the issue #0028786 Refactoring of the Warning/Error reporting system of Boolean Operations Algorithm. After implementation of that issue, the BOA on this case should return some warning status.

Please note also, that the current patch fixes the issue 0028690, so the test cases for that issue are added here as well (as a separate commit).
(0066649)
msv (developer)
2017-05-26 15:30

src\BOPDS\BOPDS_DS.cxx
- Simplify the code 959-963 by calling the only method Append.
- 1632: use Seek instead of IsBound and Find.

src\BOPAlgo\BOPAlgo_Tools.cxx
- 1236: irrelevant comment

src\BOPAlgo\BOPAlgo_Tools.hxx
- it seems the argument theChains of the method IntersectVertices has too complex type. According to the context where it is used it is enough to have list of list.

src\BOPAlgo\BOPAlgo_PaveFiller.hxx
- Rename UpdatePaveBlocks to SplitPaveBlocks.

src\BOPAlgo\BOPAlgo_PaveFiller_2.cxx
- 281: has no sense, since SD vertices have been resolved when putting data to vector.
(0066651)
git (administrator)
2017-05-26 16:13

Branch CR28775 has been updated by emv.

SHA-1: 3b288fbb1aee6c2e3671df8957055900c66cf0f2


Detailed log of new commits:

Author: emv
Date: Fri May 26 16:13:16 2017 +0300

    // Corrections according to remarks.

(0066652)
emv (developer)
2017-05-26 16:14

Done, please review again.
(0066658)
msv (developer)
2017-05-26 16:31

Reviewed.
(0066819)
mkv (tester)
2017-05-29 17:29

Dear BugMaster,
Branch CR28775 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 563edd74c790194b3eaf8313d625e9ca727eb5c0

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1197

Regressions/Differences/Improvements:
http://occt-tests/CR28775-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR28775-master-OCCT/Windows-64-VC10/summary.html [^]
Improvements:
  bugs modalg_2 bug472_3
Failed:
  boolean volumemaker A2
http://occt-tests/CR28775-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR28775-master-Products/Windows-64-VC10/summary.html [^]
Failed:
  parasolid doc_3 A9, C3, E3, E6

Testing cases:
http://occt-tests/CR28775-master-OCCT/Debian70-64/bugs/modalg_6/bug28775.html [^]
http://occt-tests/CR28775-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28775.html [^]
bugs modalg_6 bug28775: OK
Testing on Linux:
occt component :
Total MEMORY difference: 91781069 / 91661285 [+0.13%]
Total CPU difference: 18960.77000000027 / 19338.20000000009 [-1.95%]
products component :
Total MEMORY difference: 31234755 / 31230748 [+0.01%]
Total CPU difference: 5346.00999999998 / 5293.829999999966 [+0.99%]
Testing on Windows:
occt component :
http://occt-tests/CR28775-master-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html [^]
CPU bugs modalg_1 bug15943: 1.3416086 / 0.1404009 [+855.56%]
CPU bugs modalg_5 bug24190: 100.4334438 / 62.1351983 [+61.64%]
CPU bugs modalg_5 bug24825_cut: 4.1340265 / 1.5912102 [+159.80%]
CPU bugs modalg_5 bug24825_fuse: 4.3056276 / 1.7784114 [+142.11%]
CPU bugs modalg_5 bug24825_common: 4.3836281 / 1.5912102 [+175.49%]
CPU bugs modalg_6 bug26310_4: 1.5756101 / 0.312002 [+405.00%]
CPU bugs modalg_6 bug26310_3: 1.4508093 / 0.3432022 [+322.73%]

Total MEMORY difference: 58424213 / 58454637 [-0.05%]
Total CPU difference: 17498.008165998574 / 17517.61749169869 [-0.11%]
products component :
Total MEMORY difference: 22727234 / 22688363 [+0.17%]
Total CPU difference: 5329.680564399975 / 5357.885545199975 [-0.53%]

There are following differences in images found by testdiff.
http://occt-tests/CR28775-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR28775-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bopfuse_simple ZE9: ZE9.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bcut_complex F2: F2.png differs
IMAGE boolean bopcut_simple ZE9: ZE9.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_1 bug10232: bug10232.png differs
IMAGE bugs moddata_2 bug235: bug235.png differs
IMAGE bugs modalg_2 bug472_1: bug472_1.png differs
IMAGE bugs modalg_5 bug25292_11: bug25292_11.png differs
IMAGE bugs modalg_6 bug26310_4: bug26310_4_2.png differs
IMAGE bugs modalg_6 bug23178: bug23178.png differs
IMAGE bugs modalg_6 bug26310_3: bug26310_3_1.png differs
IMAGE bugs modalg_6 bug28009_2: bug28009_2.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs

http://occt-tests/CR28775-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR28775-master-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE parasolid doc_3 D5: D5.png differs
IMAGE parasolid read bug24401_3: bug24401_3.png differs
(0066820)
mkv (tester)
2017-05-29 17:30

Dear emv,
Branch CR28775 has been rejected due to:
- regressions/differences/improvements
- cpu problems
- differences in images
(0066873)
git (administrator)
2017-05-30 14:19

Branch CR28775_1 has been created by emv.

SHA-1: 3470c2dc02fdbd103baa4fe77c2f605f0debd3d5


Detailed log of new commits:

Author: emv
Date: Sun Apr 30 01:09:36 2017 +0300

    0028775: Code duplication removal across the BOPAlgo_PaveFiller algorithm
    
    The methods PerformVerticesEE() and PerformVerticesEF() of the class BOPAlgo_PaveFiller have been replaced with the new PerformNewVertices() method.
    
    While splitting the Pave Blocks with extra paves, check that the new Pave Blocks have the valid intersection range. If the new Pave Block does not have such range do not create it and unify its vertices making SD vertex.
    
    Re-computation of the Shrunk Data for the modified Pave Blocks. The new method BOPDS_DS::IsValidShrunkData(const Handle(BOPDS_PaveBlock)& thePB) has been implemented to check that the Shrunk Data of the Pave Block is still valid. It may become invalid in case the tolerance values of the vertices of the Pave Block have been modified.
    
    The test case bugs/modalg_6/bug27448_2 has been marked as BAD, because it uses the invalid shapes as inputs for BOP.
    
    Test cases for the issue 0028690.
(0066874)
emv (developer)
2017-05-30 14:20

Re-based on current master, all commits are combined to one.
(0066878)
emv (developer)
2017-05-30 15:02

Dear Mikhail, could you please test the re-based version of the patch. It seems that the test/diff results are not actual any more.
(0066884)
git (administrator)
2017-05-30 16:00

Branch CR28775_1 has been updated by emv.

SHA-1: b758d9d25f3b89c097c90997aa09f546d011f65b


Detailed log of new commits:

Author: emv
Date: Tue May 30 15:59:55 2017 +0300

    // Fix for the CPU regression bugs modalg_5 bug24190.

(0066885)
emv (developer)
2017-05-30 16:01

Dear Mikhail, could you please review the fix for the CPU regression bugs modalg_5 bug24190.
(0066891)
msv (developer)
2017-05-30 17:08

Reviewed.
(0066922)
mkv (tester)
2017-05-31 13:12

Dear BugMaster,
Branch CR28775_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b758d9d25f3b89c097c90997aa09f546d011f65b

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1196

Regressions/Differences/Improvements:
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/summary.html [^]

Improvements:
  bugs modalg_2 bug472_3
Failed:
  boolean volumemaker A2
Testing cases:
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/bugs/modalg_6/bug28690.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690.html [^]
bugs modalg_6 bug28690: OK
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_1.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_1.html [^]
bugs modalg_6 bug28690_1: OK
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_2.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_2.html [^]
bugs modalg_6 bug28690_2: OK
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_3.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_3.html [^]
bugs modalg_6 bug28690_3: OK
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/bugs/modalg_6/bug28775.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28775.html [^]
bugs modalg_6 bug28775: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92047312 / 91794821 [+0.28%]
Total CPU difference: 18903.670000000322 / 19344.4700000001 [-2.28%]
products component :
Total MEMORY difference: 31277387 / 31352485 [-0.24%]
Total CPU difference: 5443.619999999994 / 5393.529999999966 [+0.93%]
Testing on Windows:
occt component :
Total MEMORY difference: 58495757 / 58497831 [-0.00%]
Total CPU difference: 17269.65390219854 / 17520.28510879866 [-1.43%]
products component :
Total MEMORY difference: 22726689 / 22688363 [+0.17%]
Total CPU difference: 5354.203921599976 / 5357.885545199975 [-0.07%]

There are following differences in images found by testdiff.
http://occt-tests/CR28775_1-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR28775_1-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bcut_complex F2: F2.png differs
IMAGE bugs modalg_1 bug10232: bug10232.png differs
IMAGE bugs modalg_2 bug472_3: bug472_3.png differs
IMAGE bugs modalg_2 bug472_1: bug472_1.png differs
(0066923)
mkv (tester)
2017-05-31 13:13

Dear emv,
Branch CR28775_1 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0066957)
git (administrator)
2017-06-01 11:24

Branch CR28775_1 has been updated by emv.

SHA-1: 97cd16343011dc4fe76431cb8693f2c4702b2fdc


Detailed log of new commits:

Author: emv
Date: Thu Jun 1 11:24:31 2017 +0300

    // Adjustment of the test cases.

(0066958)
emv (developer)
2017-06-01 11:25

1. The test cases bugs modalg_2 bug472_* are unstable. The differences in images and the improvement can be accepted.

2. Test case boolean volumemaker A2 works differently on vc10 and vc12 platforms. On vc12 it produces correct result.
There is no real self-interference in the result produced in vc10. It is a problem of bopcheck algorithm. I have created a new issue for that - 0028800 and put TODO statement in the case.

3. Test case boolean bcut_complex F2 works incorrectly both on master and on the fix, so the difference in images can be accepted.

4. Test case bugs modalg_1 bug10232 is unstable and the resulting image is different from fix to fix. I have removed the creation of the image for that case to stop spending our time on this case.
(0066959)
emv (developer)
2017-06-01 11:26

Dear Mikhail, could you please review the changes in the test cases and confirm the message above?
(0066972)
msv (developer)
2017-06-01 16:11

Reviewed.
Dear bugmaster, please take the updates in the test cases and integrate the fix.
(0067015)
mkv (tester)
2017-06-02 12:37

Dear emv,
could you please rebase CR28775_1 on current master,
there are conflict files.
(0067018)
git (administrator)
2017-06-02 13:53

Branch CR28775_2 has been created by emv.

SHA-1: 304b7ea6e847fb7200240b14f87c64c82628efa0


Detailed log of new commits:

Author: emv
Date: Sun Apr 30 01:09:36 2017 +0300

    0028775: Code duplication removal across the BOPAlgo_PaveFiller algorithm
    
    The methods PerformVerticesEE() and PerformVerticesEF() of the class BOPAlgo_PaveFiller have been replaced with the new PerformNewVertices() method.
    
    While splitting the Pave Blocks with extra paves, check that the new Pave Blocks have the valid intersection range. If the new Pave Block does not have such range do not create it and unify its vertices making SD vertex.
    
    Re-computation of the Shrunk Data for the modified Pave Blocks. The new method BOPDS_DS::IsValidShrunkData(const Handle(BOPDS_PaveBlock)& thePB) has been implemented to check that the Shrunk Data of the Pave Block is still valid. It may become invalid in case the tolerance values of the vertices of the Pave Block have been modified.
    
    The test case bugs/modalg_6/bug27448_2 has been marked as BAD, because it uses the invalid shapes as inputs for BOP.
    
    Test cases for the issue 0028690.
(0067019)
emv (developer)
2017-06-02 13:54

Done.
(0067086)
mkv (tester)
2017-06-05 16:27

Dear BugMaster,
Branch CR28775_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 304b7ea6e847fb7200240b14f87c64c82628efa0

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1195

Regressions/Differences/Improvements:
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/boolean/volumemaker/A2.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/boolean/volumemaker/A2.html [^]
boolean volumemaker A2: IMPROVEMENT
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug27448_2.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27448_2.html [^]
bugs modalg_6 bug27448_2: IMPROVEMENT

Testing cases:
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug28690.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690.html [^]
bugs modalg_6 bug28690: OK
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_1.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_1.html [^]
bugs modalg_6 bug28690_1: OK
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_2.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_2.html [^]
bugs modalg_6 bug28690_2: OK
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug28690_3.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28690_3.html [^]
bugs modalg_6 bug28690_3: OK
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/bugs/modalg_6/bug28775.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28775.html [^]
bugs modalg_6 bug28775: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91986218 / 91258657 [+0.80%]
Total CPU difference: 19096.67000000026 / 18755.150000000256 [+1.82%]
products component :
Total MEMORY difference: 33683075 / 33639153 [+0.13%]
Total CPU difference: 6221.93000000008 / 6199.250000000062 [+0.37%]
Testing on Windows:
occt component :
Total MEMORY difference: 58845815 / 58849087 [-0.01%]
Total CPU difference: 17554.85493039859 / 17514.591072298645 [+0.23%]
products component :
Total MEMORY difference: 24290637 / 24251584 [+0.16%]
Total CPU difference: 6227.544319900063 / 6213.800631800075 [+0.22%]

There are following differences in images found by testdiff.
http://occt-tests/CR28775_2-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR28775_2-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bcut_complex F2: F2.png differs
IMAGE bugs modalg_2 bug472_3: bug472_3.png differs
IMAGE bugs modalg_2 bug472_1: bug472_1.png differs
(0067087)
git (administrator)
2017-06-05 16:27

Branch CR28775_2 has been updated by mkv.

SHA-1: d97bf4faf0fa096c368a1d53db6c1fbaf775da8c


Detailed log of new commits:

Author: mkv
Date: Mon Jun 5 15:24:21 2017 +0300

    // Small correction of test cases for issue CR28775

(0067088)
mkv (tester)
2017-06-05 16:28

Dear BugMaster,
test cases
boolean volumemaker A2
and
bugs modalg_6 bug27448_2
are corrected and pushed to branch CR28775_2 of occt git-repository,
now its are OK and BAD (known problem)
(0067089)
mkv (tester)
2017-06-05 16:28

Dear BugMaster,
Branch CR28775_2 is TESTED.
(0067245)
git (administrator)
2017-06-09 12:40

Branch CR28775_2 has been updated by emv.

SHA-1: e073a6a66a398f6c7eb8b8b5c0992e9f0f31cc96


Detailed log of new commits:

Author: emv
Date: Fri Jun 9 12:39:46 2017 +0300

    // Elimination of the warning.

(0067334)
git (administrator)
2017-06-13 17:34

Branch CR28775 has been deleted by kgv.

SHA-1: 3b288fbb1aee6c2e3671df8957055900c66cf0f2
(0067335)
git (administrator)
2017-06-13 17:34

Branch CR28775_1 has been deleted by kgv.

SHA-1: 97cd16343011dc4fe76431cb8693f2c4702b2fdc
(0067336)
git (administrator)
2017-06-13 17:34

Branch CR28775_2 has been deleted by kgv.

SHA-1: e073a6a66a398f6c7eb8b8b5c0992e9f0f31cc96

- Related Changesets
occt: master 8ae442a8
Timestamp: 2017-04-29 22:09:36
Author: emv
Committer: bugmaster
Details ] Diff ]
0028775: Code duplication removal across the BOPAlgo_PaveFiller algorithm

The methods PerformVerticesEE() and PerformVerticesEF() of the class BOPAlgo_PaveFiller have been replaced with the new PerformNewVertices() method.

While splitting the Pave Blocks with extra paves, check that the new Pave Blocks have the valid intersection range. If the new Pave Block does not have such range do not create it and unify its vertices making SD vertex.

Re-computation of the Shrunk Data for the modified Pave Blocks. The new method BOPDS_DS::IsValidShrunkData(const Handle(BOPDS_PaveBlock)& thePB) has been implemented to check that the Shrunk Data of the Pave Block is still valid. It may become invalid in case the tolerance values of the vertices of the Pave Block have been modified.

The test case bugs/modalg_6/bug27448_2 has been marked as BAD, because it uses the invalid shapes as inputs for BOP.

Test cases for the issue 0028690.
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_9.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedDataMapOfShapeReal.hxx Diff ] File ]
mod - src/BOPCol/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.hxx Diff ] File ]
mod - tests/bugs/modalg_1/bug10232 Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
mod - tests/bugs/modalg_6/bug27448_2 Diff ] File ]
add - tests/bugs/modalg_6/bug28690 Diff ] File ]
add - tests/bugs/modalg_6/bug28690_1 Diff ] File ]
add - tests/bugs/modalg_6/bug28690_2 Diff ] File ]
add - tests/bugs/modalg_6/bug28690_3 Diff ] File ]
add - tests/bugs/modalg_6/bug28775 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-23 15:20 emv New Issue
2017-05-23 15:20 emv Assigned To => msv
2017-05-23 15:20 emv Assigned To msv => emv
2017-05-23 15:20 emv Status new => assigned
2017-05-25 16:06 emv Relationship added related to 0028690
2017-05-25 17:49 git Note Added: 0066604
2017-05-25 17:54 emv Note Added: 0066605
2017-05-25 17:54 emv Assigned To emv => msv
2017-05-25 17:54 emv Status assigned => resolved
2017-05-26 15:30 msv Note Added: 0066649
2017-05-26 15:30 msv Assigned To msv => emv
2017-05-26 15:30 msv Status resolved => assigned
2017-05-26 16:13 git Note Added: 0066651
2017-05-26 16:14 emv Note Added: 0066652
2017-05-26 16:14 emv Assigned To emv => msv
2017-05-26 16:14 emv Status assigned => resolved
2017-05-26 16:31 msv Note Added: 0066658
2017-05-26 16:31 msv Assigned To msv => bugmaster
2017-05-26 16:31 msv Status resolved => reviewed
2017-05-26 16:36 mkv Assigned To bugmaster => mkv
2017-05-29 17:29 mkv Note Added: 0066819
2017-05-29 17:30 mkv Note Added: 0066820
2017-05-29 17:30 mkv Assigned To mkv => emv
2017-05-29 17:30 mkv Status reviewed => assigned
2017-05-29 17:31 mkv Test case number => bugs modalg_6 bug28775
2017-05-30 14:19 git Note Added: 0066873
2017-05-30 14:20 emv Note Added: 0066874
2017-05-30 15:02 emv Note Added: 0066878
2017-05-30 15:02 emv Assigned To emv => mkv
2017-05-30 15:02 emv Status assigned => feedback
2017-05-30 16:00 git Note Added: 0066884
2017-05-30 16:01 emv Note Added: 0066885
2017-05-30 16:01 emv Assigned To mkv => msv
2017-05-30 16:01 emv Status feedback => resolved
2017-05-30 17:08 msv Note Added: 0066891
2017-05-30 17:08 msv Assigned To msv => bugmaster
2017-05-30 17:08 msv Status resolved => reviewed
2017-05-30 17:17 mkv Assigned To bugmaster => mkv
2017-05-31 13:12 mkv Note Added: 0066922
2017-05-31 13:13 mkv Note Added: 0066923
2017-05-31 13:13 mkv Assigned To mkv => emv
2017-05-31 13:13 mkv Status reviewed => assigned
2017-06-01 10:25 emv Relationship added related to 0028557
2017-06-01 11:08 emv Relationship added related to 0028800
2017-06-01 11:24 git Note Added: 0066957
2017-06-01 11:25 emv Note Added: 0066958
2017-06-01 11:26 emv Note Added: 0066959
2017-06-01 11:26 emv Assigned To emv => msv
2017-06-01 11:26 emv Status assigned => resolved
2017-06-01 16:11 msv Note Added: 0066972
2017-06-01 16:11 msv Assigned To msv => bugmaster
2017-06-01 16:11 msv Status resolved => reviewed
2017-06-01 17:20 mkv Assigned To bugmaster => mkv
2017-06-02 12:37 mkv Note Added: 0067015
2017-06-02 12:37 mkv Assigned To mkv => emv
2017-06-02 12:37 mkv Status reviewed => feedback
2017-06-02 13:53 git Note Added: 0067018
2017-06-02 13:54 emv Note Added: 0067019
2017-06-02 13:54 emv Assigned To emv => mkv
2017-06-02 14:29 mkv Status feedback => reviewed
2017-06-05 14:41 mkv Note Added: 0067077
2017-06-05 14:41 mkv Assigned To mkv => emv
2017-06-05 14:41 mkv Status reviewed => assigned
2017-06-05 14:48 mkv Assigned To emv => mkv
2017-06-05 14:53 mkv Note Deleted: 0067077
2017-06-05 16:27 mkv Note Added: 0067086
2017-06-05 16:27 git Note Added: 0067087
2017-06-05 16:28 mkv Note Added: 0067088
2017-06-05 16:28 mkv Status assigned => feedback
2017-06-05 16:28 mkv Note Added: 0067089
2017-06-05 16:28 mkv Assigned To mkv => bugmaster
2017-06-05 16:28 mkv Status feedback => tested
2017-06-09 12:40 git Note Added: 0067245
2017-06-09 14:06 bugmaster Changeset attached => occt master 8ae442a8
2017-06-09 14:06 bugmaster Status tested => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-06-13 17:34 git Note Added: 0067334
2017-06-13 17:34 git Note Added: 0067335
2017-06-13 17:34 git Note Added: 0067336
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker